$screen-sm-min: 640px;
$screen-md-min: 768px;
$screen-lg-min: 1024px;
$screen-xl-min: 1280px;

@mixin sm {
  @media (min-width: #{$screen-sm-min}) {
    @content;
  }
}

@mixin md {
  @media (min-width: #{$screen-md-min}) {
    @content;
  }
}

@mixin lg {
  @media (min-width: #{$screen-lg-min}) {
    @content;
  }
}

@mixin xl {
  @media (min-width: #{$screen-xl-min}) {
    @content;
  }
}

@mixin element-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

@mixin justify-content-center {
  display: flex;
  justify-content: center;
}

@mixin justify-content-between {
  display: flex;
  justify-content: space-between;
}

@mixin align-items-center {
  display: flex;
  align-items: center;
}
